/*******************************************************************************
*    Robot "Giskard" 1.0.                                                      *
*    Copyright (C) 2009-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    Mechanism by Mario Zimmermann   mario@tesla-crew.de                       *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#ifndef GiskardRemoteGUILoginDialog_H_
#define GiskardRemoteGUILoginDialog_H_

#include "../gen/GiskardRemoteGUILoginDialog.h"
#include "../giskardRemoteGUI.h"

/**
 * Loginfenster
 */
class GiskardRemoteGUILoginDialog : public GenGiskardRemoteGUILoginDialog
{
	protected:
	  /**
	   * Zeiger zum Hauptfenster
	   */
	  GiskardRemoteGUIMainFrame *myParent;

	  /**
	   * Schließt das Fenster
	   */
		void doClose( wxCloseEvent& event );

		/**
		 * Aktiviert, bzw. deaktiviert das "OK"-Knopf.
		 * Es kann ein Login erfolgen nur wenn Nutzername, Passwort und Host angegeben wurden
		 */
		void checkDataForLogin( wxCommandEvent& event );

		/**
		 * Der Nutzer hat auf "Cancel" geklickt
		 */
		void doExit( wxCommandEvent& event );

		/**
		 * Versucht sich mit dem Roboter über TCP/IP zu verbinden.
		 * Es wird einen "Warte"-Fenster angezeigt (GiskardRemoteGUILoginWaitDialog).
		 * Im Falle von Fehler wird die Fehlermeldung angezeigt (GiskardRemoteGUILoginError)
		 */
		void doLogin( wxCommandEvent& event );
	public:
		GiskardRemoteGUILoginDialog( wxWindow* parent );
		wxString hosts[100];
		int nHosts;
	  wxString toDisplayError;
};

#endif
